Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Qt5 and Qt6 versions use the same filename and soname #36

Closed
berolinux opened this issue Jan 4, 2022 · 1 comment
Closed

Qt5 and Qt6 versions use the same filename and soname #36

berolinux opened this issue Jan 4, 2022 · 1 comment

Comments

@berolinux
Copy link

Qt 5 and Qt 6 versions of QCoro use the same filename and soname, so they can't coexist on the same system without using rpath tricks and/or LD_LIBRARY_PATH/LD_PRELOAD and friends.
It may make sense to use a naming scheme similar to Qt's own libraries (--> libQt5Coro.so.* / libQt6Coro.so.*)

@danvratil
Copy link
Owner

danvratil commented Jan 5, 2022

Good point, I shall indeed fix that.

I'll probably do libQCoro*5.so.* and libQCoro*6.so.* (I don't want to use the Qt scheme as that might make it confusing since QCoro is not part of Qt.

danvratil added a commit that referenced this issue Jan 6, 2022
Make QCoro builds for Qt5 and Qt6 co-installable (#36)
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

No branches or pull requests

2 participants